/*
Theme Name: Astra Child
Template: astra
Version: 1.0
*/

/* Text selection color */
::selection {
    background-color: #ff6a00;
    color: #ffffff;
}

/* Firefox support */
::-moz-selection {
    background-color: #ff6a00;
    color: #ffffff;
}
/* shrinking header section */
@media screen and (min-width: 1024px) {
.shrinker {
	background: transparent;
        height:98px;
	transition: all .2s linear!important;
	-webkit-transition: all .2s linear!important;
	-moz-transition: all .2s linear!important;
}

.shrinker.elementor-sticky--effects {
	background: #fff;
        height: 64px!important;
	padding-top: 2px!important;
	padding-bottom: 2px!important;
	box-shadow: 0px 6px 30px -4px rgba(0,0,0,.05);
	transition: all .2s linear!important;
	-webkit-transition: all .2s linear!important;
	-moz-transition: all .2s linear!important;
}

/* shrinking logo image */

.shrinking-logo img {
	width: 150px!important;
	transition: all .2s linear!important;
	-webkit-transition: all .2s linear!important;
	-moz-transition: all .2s linear!important;
}
.shrinker.elementor-sticky--effects img {
	width: 120px!important;
	transition: all .2s linear!important;
	-webkit-transition: all .2s linear!important;
	-moz-transition: all .2s linear!important;
}
.elementor-sticky--effects .e-con-inner {
	align-items: center !important;
}
.elementor-sticky--effects .e-con-inner #menu-1-751e62a li {
	height: 42px !important;
	align-items: center !important;
	display: flex;
}
}
.elementor-location-header .elementor-sticky--effects {
	background: #ffffffb0 !important;
	backdrop-filter: blur(10px);
}

.elementor-location-header .elementor-sticky--active {
	background: #FFF !important;
}
/*Footer Menu*/
.menu-on-hover a:hover {
	transform: translateX(5px);
	transition: 0.5s ease;
}
/* Remove Elementor default effect completely */
.menu-on-hover .elementor-item::after {
    display: none !important;
}

/* Base line (hidden) */
.menu-on-hover .elementor-item::before {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 0;
    height: 2px !important;
    background-color: var(--e-global-color-accent);
    transition: width 0.6s ease;
}

/* Show ONLY on hover (left → right) */
.menu-on-hover .elementor-item:hover::before {
    width: 60%;
}

/* Disable for active/current item */
.menu-on-hover .elementor-item.elementor-item-active::before,
.menu-on-hover .elementor-item.current-menu-item::before {
    width: 0 !important;
}